Skip to main content
POST
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
{kid}
/
wrapping-key
Go
package example

import (
    client "github.com/auth0/go-auth0/management/client"
    option "github.com/auth0/go-auth0/management/option"
    context "context"
)

func do() () {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    client.Keys.Encryption.CreatePublicWrappingKey(
        context.TODO(),
        "kid",
    )
}
{
  "public_key": "<string>",
  "algorithm": "CKM_RSA_AES_KEY_WRAP"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

kid
string
required

Encryption key ID

Response

The public wrapping key was successfully created.

public_key
string
required

Public wrapping key in PEM format

algorithm
enum<string>
required

Encryption algorithm that shall be used to wrap your key material

Available options:
CKM_RSA_AES_KEY_WRAP